nmmolhash.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::MolHash

## Functions

RDKIT_MOLHASH_EXPORT std::string | RDKit::MolHash::MolHash (RWMol *mol, enum HashFunction func)
RDKIT_MOLHASH_EXPORT void | RDKit::MolHash::Strip (RWMol *mol, unsigned int striptype)
RDKIT_MOLHASH_EXPORT void | RDKit::MolHash::SplitMolecule (RWMol *mol, std::vector< RWMol * > &molv)

## Variables

| AnonymousGraph = 1
| ElementGraph = 2
| CanonicalSmiles = 3
| MurckoScaffold = 4
| ExtendedMurcko = 5
| MolFormula = 6
| AtomBondCounts = 7
| DegreeVector = 8
| Mesomer = 9
| HetAtomTautomer = 10
| HetAtomProtomer = 11
| RedoxPair = 12
| Regioisomer = 13
| NetCharge = 14
| SmallWorldIndexBR = 15
| SmallWorldIndexBRL = 16
| AtomStereo = 1
| BondStereo = 2
| Isotope = 4
| AtomMap = 8

## Variable Documentation

## AnonymousGraph

AnonymousGraph = 1

Definition at line 26 of file nmmolhash.h.

## AtomBondCounts

AtomBondCounts = 7

Definition at line 32 of file nmmolhash.h.

## AtomMap

AtomMap = 8

Definition at line 51 of file nmmolhash.h.

## AtomStereo

AtomStereo = 1

Definition at line 48 of file nmmolhash.h.

## BondStereo

BondStereo = 2

Definition at line 49 of file nmmolhash.h.

## CanonicalSmiles

CanonicalSmiles = 3

Definition at line 28 of file nmmolhash.h.

## DegreeVector

DegreeVector = 8

Definition at line 33 of file nmmolhash.h.

## ElementGraph

ElementGraph = 2

Definition at line 27 of file nmmolhash.h.

## ExtendedMurcko

ExtendedMurcko = 5

Definition at line 30 of file nmmolhash.h.

## HetAtomProtomer

HetAtomProtomer = 11

Definition at line 36 of file nmmolhash.h.

## HetAtomTautomer

HetAtomTautomer = 10

Definition at line 35 of file nmmolhash.h.

## Isotope

Isotope = 4

Definition at line 50 of file nmmolhash.h.

## Mesomer

Mesomer = 9

Definition at line 34 of file nmmolhash.h.

## MolFormula

MolFormula = 6

Definition at line 31 of file nmmolhash.h.

## MurckoScaffold

MurckoScaffold = 4

Definition at line 29 of file nmmolhash.h.

## NetCharge

NetCharge = 14

Definition at line 39 of file nmmolhash.h.

## RedoxPair

RedoxPair = 12

Definition at line 37 of file nmmolhash.h.

## Regioisomer

Regioisomer = 13

Definition at line 38 of file nmmolhash.h.

## SmallWorldIndexBR

SmallWorldIndexBR = 15

Definition at line 40 of file nmmolhash.h.

## SmallWorldIndexBRL

SmallWorldIndexBRL = 16

Definition at line 41 of file nmmolhash.h.